package com.bwie.auth.remote.impl;

import com.bwie.auth.remote.AuthRemote;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class AuthRemoteImpl implements FallbackFactory<AuthRemote> {

    //熔断
    @Override
    public AuthRemote create(Throwable cause) {

        return new AuthRemote(){

            /**
             * 发送验证码
             *
             * @param phone
             * @return
             */
            @Override
            public Result<User> sendCode(String phone) {
                return Result.error("请稍后重试");
            }
        };
    }
}
