package com.bwie.common.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "User",description = "登陆者信息表")
public class User {

    /**
     * 主键
     */
    @Schema(
            title = "主键",
            type = "Integer",
            description = "主键ID"
    )
    private Integer userId;
    /**
     * 手机号
     */
    @Schema(
            title = "手机号",
            type = "String",
            description = "登录人的手机号",
            defaultValue = "18817287746"
    )
    private String phone;
    /**
     * 账号
     */
    @Schema(
            title = "账号",
            type = "String",
            description = "登录人账号",
            defaultValue = "admin"
    )
    private String userName;
    /**
     * 验证码
     */
    @Schema(
            title = "验证码",
            type = "String",
            description = "验证码",
            defaultValue = "1232"
    )
    private String code;
    /**
     * 余额
     */
    @Schema(
            title = "余额",
            type = "String",
            description = "余额",
            defaultValue = "321321"
    )
    private String money;
}
