package com.bwie.es.sync;

import com.bwie.common.domain.Coupon;
import com.bwie.common.result.Result;
import com.bwie.es.feign.EsRemoteService;
import com.bwie.es.service.EsService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import java.util.List;

@Component
@Log4j2
public class SyncArticle2ES implements ApplicationRunner {

    @Autowired
    private EsRemoteService esRemoteService;

    @Autowired
    private EsService service;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        Result<List<Coupon>> all = esRemoteService.show();
        List<Coupon> coupons = all.getData();
        if (!CollectionUtils.isEmpty(coupons)) {
            log.info("查询到{}条数据，开始同步...", coupons.size());
            long s = System.currentTimeMillis();
            service.batchAdd(coupons);
            log.info("同步结束，用时：{}毫秒！", System.currentTimeMillis() - s);
        }
    }

}
