package com.bwie.expressage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.bwie.common.domain.Orders;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface OrderMapper extends BaseMapper<Orders> {

    /**
     * 添加订单
     */
    int add(Orders orders);

    /**
     * 点击立刻寄售 - 数据落库，缓存到redis当中，当前券码数量+1
     */
    int update(@Param("orderId")Integer orderId);

    /**
     * 查看订单详情
     */
    List<Orders> showList();

    /**
     * 点击确认收货，修改订单状态为完成
     */
    int changeStatus(@Param("orderId")Integer orderId);

    //点击确认收货则自动确认收货
    int checkStatus();

    //取消后买后，减少MySQL库存，并且异步更改redis当中的库存
    int less(@Param("orderId")Integer orderId);

    //修改状态为关闭
    int updateStatus(@Param("orderId")Integer orderId);

}
