package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private UserService service;


    /**
     * 发送验证码
     * @param phone
     * @return
     */
    @PostMapping("/sendCode/{phone}")
    public Result<User> sendCode(@PathVariable String phone){
        User user = service.sendCode(phone);
        return Result.success(user);
    }

    /**
     * 加款
     * @param userId
     * @return
     */
    @PostMapping("/addMoney")
    public Result updateMoney(Integer userId){
        int i = service.addMoney(userId);
        return Result.success(i);
    }
}
